
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) return;
    var config = {
       drawing  : settings.currentDrawing,
       art : settings.activeArt,
       points: [{ x: 0, y: 0, maxDistanceSq: 10000 }, { x: 2500, y: 1875 }]
      };
    var closest = Drawing.query.getClosestPoint(config);
    console.log("closest = " + JSON.stringify(closest) + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
