
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) return;
    var config = {
       drawing  : settings.currentDrawing,
       art : settings.activeArt,
       paths : [
          { polygon: true, path : [ {x: 0, y: 0}, {x : 2500, y: 1875}]}
       ] 
    };
    var intersections = Drawing.query.getIntersections(config);
    console.log(JSON.stringify(intersections));   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
