
function run(console) {
  try {  
    var zabin = specialFolders.bin + "/bin_3rdparty/7za";  
    console.log("7za executable = " + zabin);   
    var testZip = __file__.replace(/\/[^/]+$/, "") + "/assets/test.7z";
    console.log("Listing content of text file: " + testZip);   
    var args = [];
    args.push("l");
    args.push(testZip);
    var p = new QProcess();
    p.start(zabin, args);
    if (!p.waitForStarted())
    {
      console.log("could not start 7za");
      return;
    }
    if (!p.waitForFinished())
    {
      console.log("7za failed");
      return;
    }
    var content = new QTextStream(p.readAll()).readAll();
    console.log(content);
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
