
function run(console) {
  try {  
    var settings = Tools.getToolSettings();
    if (!settings.currentDrawing) return;
    var config = {
       drawing  : settings.currentDrawing,
       art: 2,
      strokes : [{
         layer: 0, strokeIndex: 0, params : [ 0, 0.5, 0.75, 1]
      }]
    };
    var evaluations = Drawing.query.evaluateStrokes(config);
    console.log("evaluations = " + JSON.stringify(evaluations, null, ' ') + ";");   
  } catch(e) {
    console.log("Exception: " + e);
  }
}

exports.run = run;
